package com.ruoyi.ibs.task.service;

import com.fasterxml.jackson.databind.JsonNode;
import com.ruoyi.ibs.task.domain.dto.CustomFeedbackDTO;
import com.ruoyi.ibs.task.domain.dto.VisitFeedbackPrivateDTO;
import com.ruoyi.ibs.task.domain.dto.VisitFeedbackPublicDTO;
import com.ruoyi.ibs.task.domain.entity.IntentionProductDict;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2025/6/19
 **/
public interface VisitFeedbackService {

    JsonNode getFeedback(String feedbackType, String feedbackId);

    String saveCustomFeedback(CustomFeedbackDTO customFeedbackDTO);

    String savePrivateFeedback(VisitFeedbackPrivateDTO visitFeedbackPrivateDTO);

    String savePublicFeedback(VisitFeedbackPublicDTO visitFeedbackPublicDTO);

    List<IntentionProductDict> getIntentionProductDict();

    JsonNode getCustomFeedbackTemplate(String feedbackTemplate);

}
